MicroLayouts (JGoodies Looks 2.5 API)
Date: 2012-07-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks
Class MicroLayouts

    java.lang.Object
      com.jgoodies.looks.MicroLayouts

    public final class MicroLayouts

extends Object

A factory that vends predefined MicroLayout instances.

Since:
  2.1
Version:
  $Revision: 1.6 $
Author:
  Karsten Lentzsch
See Also:
  `MicroLayout`, `MicroLayoutPolicy`, `MicroLayoutPolicies`

Method Summary
`static MicroLayout` | `createPlasticHiResMicroLayout()`
`static MicroLayout` | `createPlasticLowResMicroLayout()`
`static MicroLayout` | `createPlasticVistaClassicMicroLayout()`
`static MicroLayout` | `createPlasticVistaMicroLayout()`
`static MicroLayout` | `createPlasticXPHiResMicroLayout()`
`static MicroLayout` | `createPlasticXPLowResMicroLayout()`
`static MicroLayout` | `createPlasticXPVistaClassicMicroLayout()`
`static MicroLayout` | `createPlasticXPVistaMicroLayout()`
`static MicroLayout` | `createWindowsClassicHiResMicroLayout()`
`static MicroLayout` | `createWindowsClassicLowResMicroLayout()`
`static MicroLayout` | `createWindowsVistaHiResMicroLayout()`
`static MicroLayout` | `createWindowsVistaLowResMicroLayout()`
`static MicroLayout` | `createWindowsXPHiResMicroLayout()`
`static MicroLayout` | `createWindowsXPLowResMicroLayout()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createPlasticLowResMicroLayout

    public static MicroLayout createPlasticLowResMicroLayout()

### createPlasticHiResMicroLayout

    public static MicroLayout createPlasticHiResMicroLayout()

### createPlasticVistaMicroLayout

    public static MicroLayout createPlasticVistaMicroLayout()

### createPlasticVistaClassicMicroLayout

    public static MicroLayout createPlasticVistaClassicMicroLayout()

### createPlasticXPLowResMicroLayout

    public static MicroLayout createPlasticXPLowResMicroLayout()

### createPlasticXPHiResMicroLayout

    public static MicroLayout createPlasticXPHiResMicroLayout()

### createPlasticXPVistaMicroLayout

    public static MicroLayout createPlasticXPVistaMicroLayout()

### createPlasticXPVistaClassicMicroLayout

    public static MicroLayout createPlasticXPVistaClassicMicroLayout()

### createWindowsClassicLowResMicroLayout

    public static MicroLayout createWindowsClassicLowResMicroLayout()

### createWindowsClassicHiResMicroLayout

    public static MicroLayout createWindowsClassicHiResMicroLayout()

### createWindowsXPLowResMicroLayout

    public static MicroLayout createWindowsXPLowResMicroLayout()

### createWindowsXPHiResMicroLayout

    public static MicroLayout createWindowsXPHiResMicroLayout()

### createWindowsVistaLowResMicroLayout

    public static MicroLayout createWindowsVistaLowResMicroLayout()

### createWindowsVistaHiResMicroLayout

    public static MicroLayout createWindowsVistaHiResMicroLayout()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JGoodies Karsten Lentzsch. All Rights Reserved.